import { createAction, props } from '@ngrx/store';
import { MainMenu } from '@app/types';

export const showDialog = createAction('[Messenger::Settings] Show Dialog');

export const selectedGnbMenuIndex = createAction(
  '[Messenger::Settings] select Gnb MenuIndex',
  props<{ menuIndex: MainMenu }>()
);
